
CephFS - Bug #10323

lock get stuck in snap->sync state

12/16/2014 01:43 AM - Zheng Yan

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Zheng Yan   

Category:    

Target version:    

Source: other ceph-qa-suite:  

Tags:  Component(FS): MDS

Backport:  Labels (FS):  

Regression:  Pull request ID:  

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

2014-12-16 17:33:33.555520 7fb79b71a700 10 mds.0.locker nudge_log (iauth snap->sync w=1) on [inode

 1000000446a [ba3,c6b] /testdir1/foo auth v31656 ap=4+0 s=0 n(v0 1=1+0) (iauth snap->sync w=1) (if

ile sync r=1) (ixattr snap->sync w=1) (iversion lock) | request=2 lock=4 dirty=1 waiter=1 authpin=

1 0x96d05f0]

 

triggered by qa/workunits/snaps/snaptest-authwb.sh

Associated revisions

Revision f192e2dc - 02/05/2015 02:40 PM - Yan, Zheng 

mds: properly update capability's client_follow

handle discontinuous snapid(s)

Fixes: #10323

Signed-off-by: Yan, Zheng <zyan@redhat.com>

History

#1 - 12/28/2014 06:54 PM - Zheng Yan

- Status changed from In Progress to Fix Under Review

#2 - 01/05/2015 03:26 PM - Greg Farnum

https://github.com/ceph/ceph/pull/3270

#3 - 02/10/2015 03:38 AM - Zheng Yan

- Status changed from Fix Under Review to Resolved

#4 - 07/13/2016 05:54 AM - Greg Farnum
mailto:zyan@redhat.com
https://github.com/ceph/ceph/pull/3270


- Component(FS) MDS added
